.wrapper {
    display: flex;  
    flex-flow: row wrap;
    font-weight: bold;
    text-align: center;
  }
  
  .wrapper > * {
    padding: 10px;
    flex: 1 100%;
  }
  
  .header {
    color: #fff !important;
    background: #2196f3 !important;
  }
  
  .main {
    text-align: left;
    background: white;
  }
  
  @media all and (min-width: 600px) {
    .aside { flex: 1 0 0; }
  }
  
  @media all and (min-width: 800px) {
    .main    { flex: 3 0px; }
    .aside-1 { order: 1; } 
    .main    { order: 2; }
    .aside-2 { order: 3; }
    .footer  { order: 4; }
  }


.flex-container {
  padding: 0;
  margin: 0;
  list-style: none;
  
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  
  -webkit-flex-flow: row wrap;
}

.flex-item {
  padding: 5px;
  width: auto;
  height: auto;
  margin-top: auto;
  margin-left: auto;
  color: white;
  text-align: center;
  vertical-align: middle;
  margin-top: auto;
  margin-bottom: auto;
}